> For the complete documentation index, see [llms.txt](https://boxlang.ortusbooks.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/struct/structiscasesensitive.md).

# StructIsCaseSensitive

Returns whether the give struct is case sensitive

## Method Signature

```
StructIsCaseSensitive(struct=[structloose])
```

### Arguments

| Argument | Type     | Required | Description                 | Default |
| -------- | -------- | -------- | --------------------------- | ------- |
| `struct` | `struct` | `true`   | The struct to test for type |         |

## Examples

### Full Function with Explicit CaseSensitive

Show when the struct is explicitly set to casesensitive.

[Run Example](https://try.boxlang.io/?code=eJzLrQwuKSpNLjFUsFWAsPxSyzUUlJITi1OLU%2FOKM0syy1KVFDStuXJhKvVcfVx9QeqVUnNcc%2F3zUpXQJY3Akj6puSXl%2FhiSxhCdQMmMolSQ3vKizJJU%2F9KSgNISDagbPIudgfYHw%2BzXUIAboaAJcgsAgzY7%2Bw%3D%3D)

```java
myStruct1 = StructNew( "casesensitive" );
myStruct1.ELEM1 = "elEmOne";
myStruct1.ELEM2 = "eLemtwO";
myStruct1.ELEM3 = "elemthree";
writeOutPut( StructIsCaseSensitive( myStruct1 ) );

```

Result: YES

### Member Function with Explicit CaseSensitive

Show when the struct is explicitly set to casesensitive.

[Run Example](https://try.boxlang.io/?code=eJzLrQwuKSpNLjFUsFWAsPxSyzUUlJITi1OLU%2FOKM0syy1KVFDStuXJhKvVcfVx9QeqVUnNcc%2F3zUpXQJY3Akj6puSXl%2FhiSxhCdQMmMolSQ3vKizJJU%2F9KSgNISDQWE2sxiZ6AbgmFu0NAEOQIA3Ng5hA%3D%3D)

```java
myStruct1 = StructNew( "casesensitive" );
myStruct1.ELEM1 = "elEmOne";
myStruct1.ELEM2 = "eLemtwO";
myStruct1.ELEM3 = "elemthree";
writeOutPut( myStruct1.isCaseSensitive() );

```

Result: YES

### Full Function with Implicit Struct Creation and Default Case Sensitivity

Show when the struct is implicitly created.

[Run Example](https://try.boxlang.io/?code=eJzLrQwuKSpNLjFRsFWoVuDiVErNSc01VFKwUgCyXHP981KVdMCirrlGEFGf1NyScn%2BoaGquMVQtUDSjKDVViavWmqu8KLMk1b%2B0JKC0REMBYr5nsXNicWpwal5xZklmWaqGQi7cYk0FTWsuALPjKbA%3D)

```java
myStruct4 = { 
	"elem1" : "elEmOne",
	"elEm2" : "eLemtwO",
	"elem3" : "elemthree"
};
writeOutPut( StructIsCaseSensitive( myStruct4 ) );

```

Result: NO

## Related

* [StructAppend](/boxlang-language/reference/built-in-functions/struct/structappend.md)
* [StructClear](/boxlang-language/reference/built-in-functions/struct/structclear.md)
* [StructCopy](/boxlang-language/reference/built-in-functions/struct/structcopy.md)
* [StructDelete](/boxlang-language/reference/built-in-functions/struct/structdelete.md)
* [StructEach](/boxlang-language/reference/built-in-functions/struct/structeach.md)
* [StructEquals](/boxlang-language/reference/built-in-functions/struct/structequals.md)
* [StructEvery](/boxlang-language/reference/built-in-functions/struct/structevery.md)
* [StructFilter](/boxlang-language/reference/built-in-functions/struct/structfilter.md)
* [StructFind](/boxlang-language/reference/built-in-functions/struct/structfind.md)
* [StructFindKey](/boxlang-language/reference/built-in-functions/struct/structfindkey.md)
* [StructFindValue](/boxlang-language/reference/built-in-functions/struct/structfindvalue.md)
* [StructGet](/boxlang-language/reference/built-in-functions/struct/structget.md)
* [StructGetMetadata](/boxlang-language/reference/built-in-functions/struct/structgetmetadata.md)
* [StructInsert](/boxlang-language/reference/built-in-functions/struct/structinsert.md)
* [StructIsOrdered](/boxlang-language/reference/built-in-functions/struct/structisordered.md)
* [StructKeyArray](/boxlang-language/reference/built-in-functions/struct/structkeyarray.md)
* [StructKeyExists](/boxlang-language/reference/built-in-functions/struct/structkeyexists.md)
* [StructKeyList](/boxlang-language/reference/built-in-functions/struct/structkeylist.md)
* [StructKeyTranslate](/boxlang-language/reference/built-in-functions/struct/structkeytranslate.md)
* [StructMap](/boxlang-language/reference/built-in-functions/struct/structmap.md)
* [StructNew](/boxlang-language/reference/built-in-functions/struct/structnew.md)
* [StructNone](/boxlang-language/reference/built-in-functions/struct/structnone.md)
* [StructReduce](/boxlang-language/reference/built-in-functions/struct/structreduce.md)
* [StructSome](/boxlang-language/reference/built-in-functions/struct/structsome.md)
* [StructSort](/boxlang-language/reference/built-in-functions/struct/structsort.md)
* [StructToQueryString](/boxlang-language/reference/built-in-functions/struct/structtoquerystring.md)
* [StructToSorted](/boxlang-language/reference/built-in-functions/struct/structtosorted.md)
* [StructUpdate](/boxlang-language/reference/built-in-functions/struct/structupdate.md)
* [StructValueArray](/boxlang-language/reference/built-in-functions/struct/structvaluearray.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/struct/structiscasesensitive.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
